Get CU usage by workflow
Get per-workflow CU cost breakdown for a time period
GET
/v1/organizations/{orgId}/cu/usage-by-workflow
Get per-workflow CU cost breakdown for a time period
Path Parameters
orgId
string
required
path
Organization ID
Query Parameters
from
integer
required
query
Start time (unix milliseconds)
to
integer
required
query
End time (unix milliseconds)
Request Body
application/jsonResponses
200
OK
application/jsoncode
integer
data
object
workflows
object[]
Array of:
cuPerHour
number
estimatedCostPerRun
integer
isStream
boolean
runCount
integer
status
string
totalCu
number
triggerType
string
workflowId
string
workflowName
string
message
string
requestId
string
400
Bad Request
500
Internal Server Error
curl -X GET 'https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{}'
const response = await fetch('https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({})});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0', headers=headers, json={})print(response.json())
package mainimport ( "fmt" "io" "net/http" "strings")func main() { body := strings.NewReader(`{}`) req, _ := http.NewRequest("GET", "https://api.example.com/v1/organizations/string/cu/usage-by-workflow?from=0&to=0", body) req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN") req.Header.Set("Content-Type", "application/json") resp, _ := http.DefaultClient.Do(req) defer resp.Body.Close() result, _ := io.ReadAll(resp.Body) fmt.Println(string(result))}
200
Response
{ "code": 0, "data": { "workflows": [ { "cuPerHour": 123, "estimatedCostPerRun": 123, "isStream": true, "runCount": 123, "status": "<string>", "totalCu": 123, "triggerType": "<string>", "workflowId": "<string>", "workflowName": "<string>" } ] }, "message": "successfully", "requestId": "req_abc123"}
API Playground
Try this endpoint
GET
/v1/organizations/{orgId}/cu/usage-by-workflow
